package com.lemon.pojo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import org.hibernate.validator.constraints.Email;

import javax.validation.constraints.NotNull;

/**
 * @program: Lemon
 * @description:
 * @author: ray
 * @create: 2022-11-03 19:35
 **/
public class API {
    /*属性反射必须私有化 private*/
    @Excel(name = "接口编号")
    @NotNull  // 若该字段验证不通过，则过滤整条Excel数据
    private String id;
    @Excel(name = "接口名称")
    private String name;
    @Excel(name = "请求方式")
    private String method;
    @Excel(name = "接口地址")
    private String url;
    @Excel(name = "参数类型")
    private String contentType;

    public API() {
    }

    public API(String id, String name, String method, String url, String contentType) {
        this.id = id;
        this.name = name;
        this.method = method;
        this.url = url;
        this.contentType = contentType;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getMethod() {
        return method;
    }

    public String getUrl() {
        return url;
    }

    public String getContentType() {
        return contentType;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }


}
